package com.ai.da.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum ProductEnum {
    // 积分购买
    CreditsProduct("AiDA credits purchase", 10L, 50L),
    // 年度订阅
    AnnualSubscription("AiDA Annual Subscription", 5000L, 50000L),
    // 月度订阅（订阅费500，每月3500 积分）
    MonthlySubscription("AiDA Monthly Subscription", 500L, 3500L),
    // 月度订阅 -- 经济实惠版 （订阅费100，每月500 积分）
    Eco_MonthlySubscription("AiDA Eco Monthly Subscription", 100L, 500L),
    // 季度订阅
    QuarterlySubscription("AiDA Quarterly Subscription", 1500L, 12000L),
    // 月度订阅 -- 教育版
    EDUMonthlySubscription("AiDA Edu Monthly Subscription", 200L, 3500L),
    // 测试
    DailySubscription("AiDA Daily Subscription", 5L, 100L),
    ;

    /**
     * 类型
     */
    private final String name;

    private final Long price;

    private final Long credits;
}
